FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development

 
 
LinkBack Thread Tools
 
Old 05-01-2008, 11:43 PM
"Yaakov Nemoy"
 
Default What do these "Requires:" messages in rpmbuild mean?

Hi list,

As the subject so eloquently state, what do these messages mean? I
haven't used rpmbuild in several months, so it's likely some nuance
has changed. Is it some dependency I forgot to declare?


Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies)
<= 3.0.3-1
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3) libdl.so.2 libgmp.so.3
libm.so.6 libm.so.6(GLIBC_2.0) librt.so.1 librt.so.1(GLIBC_2.2)
libutil.so.1 rtld(GNU_HASH)


-Yaakov

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 05-02-2008, 12:26 AM
"Pavel Shevchuk"
 
Default What do these "Requires:" messages in rpmbuild mean?

These are automagic dependencies extracted from binary files


On 5/2/08, Yaakov Nemoy <loupgaroublond@gmail.com> wrote:
> Hi list,
>
> As the subject so eloquently state, what do these messages mean? I
> haven't used rpmbuild in several months, so it's likely some nuance
> has changed. Is it some dependency I forgot to declare?
>
>
> Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
> rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies)
> <= 3.0.3-1
> Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
> libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3) libdl.so.2 libgmp.so.3
> libm.so.6 libm.so.6(GLIBC_2.0) librt.so.1 librt.so.1(GLIBC_2.2)
> libutil.so.1 rtld(GNU_HASH)
>
>
> -Yaakov
>
>
> --
> fedora-devel-list mailing list
> fedora-devel-list@redhat.com
> https://www.redhat.com/mailman/listinfo/fedora-devel-list
>


--
http://scwlab.com

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 05-02-2008, 02:52 AM
"Yaakov Nemoy"
 
Default What do these "Requires:" messages in rpmbuild mean?

Ah, I was getting a random error after those lines, that I thought
there might have been some relation. Turns out my rpmbuild dir was
missing the SRPMS dir.

-Yaakov

On Thu, May 1, 2008 at 8:26 PM, Pavel Shevchuk <stlwrt@gmail.com> wrote:
> These are automagic dependencies extracted from binary files
>
>
>
>
> On 5/2/08, Yaakov Nemoy <loupgaroublond@gmail.com> wrote:
> > Hi list,
> >
> > As the subject so eloquently state, what do these messages mean? I
> > haven't used rpmbuild in several months, so it's likely some nuance
> > has changed. Is it some dependency I forgot to declare?
> >
> >
> > Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
> > rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies)
> > <= 3.0.3-1
> > Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
> > libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3) libdl.so.2 libgmp.so.3
> > libm.so.6 libm.so.6(GLIBC_2.0) librt.so.1 librt.so.1(GLIBC_2.2)
> > libutil.so.1 rtld(GNU_HASH)
> >
> >
> > -Yaakov
> >
> >
> > --
> > fedora-devel-list mailing list
> > fedora-devel-list@redhat.com
> > https://www.redhat.com/mailman/listinfo/fedora-devel-list
> >
>
>
> --
> http://scwlab.com
>
> --
> fedora-devel-list mailing list
> fedora-devel-list@redhat.com
> https://www.redhat.com/mailman/listinfo/fedora-devel-list
>

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 

Thread Tools




All times are GMT. The time now is 04:58 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org